MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028740Open CASCADE[OCCT] OCCT:Visualizationpublic2017-05-15 14:052017-05-29 16:06
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.1 
Target Version[OCCT] 7.2.0*Fixed in Version 
Summary0028740: Visualization, AIS_RubberBand - add an option to decide either create or not create a closing boundary line
DescriptionA rubber-band is always drawn as a closed poly-line. It's required to add the possibility to choose whether create automatically closing boundary line connecting the first and the last screen points.
Steps To Reproducen/a
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0066078)
git (administrator)
2017-05-15 14:23

Branch CR28740 has been created by ibs.

SHA-1: d915a4b6c14d8c7c760eaae0b9657ad086a557f8


Detailed log of new commits:

Author: ibs
Date: Mon May 15 14:22:11 2017 +0300

    0028740: Visualization, AIS_RubberBand - add an option to decide either create or not create a closing boundary line
    
    the flag is added and the Compute method is updated to consider this flag
(0066079)
ibs (developer)
2017-05-15 14:25

could you please review CR28740 branch of OCCT git
(0066080)
git (administrator)
2017-05-15 14:25

Branch CR28740 has been updated forcibly by ibs.

SHA-1: 548660c474f5bbdeb1a954169ddccfe97cd137b6
(0066104)
kgv (developer)
2017-05-15 16:53

+  Standard_EXPORT Standard_Boolean IsClosed() const;
...
+  Standard_Boolean                   myIsClosed; //!< automatic closing of rubber-band flag

Please use less common name for this property to avoid confusion - e.g. IsClosedPolygon.

+  myIsClosed = Standard_True;

Please move to class members initialization list.
(0066111)
git (administrator)
2017-05-15 19:38

Branch CR28740 has been updated by ibs.

SHA-1: f158e7bdbd80b3a0ed146eef47129f4b893ed7b0


Detailed log of new commits:

Author: ibs
Date: Mon May 15 19:37:52 2017 +0300

    0028740: Visualization, AIS_RubberBand - add an option to decide either create or not create a closing boundary line
    
    the names of the flag and its getter and setter are changed

(0066172)
ibs (developer)
2017-05-17 11:02
edited on: 2017-05-17 11:03

the names are changed, the corresponding constructors are updated

CR28740 branch is ready for review

(0066173)
git (administrator)
2017-05-17 11:15

Branch CR28740 has been updated forcibly by ibs.

SHA-1: 3a0e8997b685365f80901df754c7786c9882e6d8
(0066175)
ibs (developer)
2017-05-17 11:19

the commits have been squashed, the flag initialization has been moved to the initialization list
(0066177)
kgv (developer)
2017-05-17 11:33

Please test the patch.
(0066317)
apv (tester)
2017-05-19 14:00

Dear BugMaster,

Branch CR28740 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3a0e8997b685365f80901df754c7786c9882e6d8

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1194

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 92231484 / 91784851 [+0.49%]
Total CPU difference: 18773.880000000237 / 18651.980000000363 [+0.65%]

Testing on Windows:
Total MEMORY difference: 58426180 / 58426407 [-0.00%]
Total CPU difference: 17478.820042998548 / 17338.309942298663 [+0.81%]
(0066318)
apv (tester)
2017-05-19 14:03
edited on: 2017-05-19 15:52

Dear BugMaster,

Please integrate branch CR28740 into the occt git-repository master.

(0066775)
git (administrator)
2017-05-29 16:06

Branch CR28740 has been deleted by kgv.

SHA-1: 3a0e8997b685365f80901df754c7786c9882e6d8

- Related Changesets
occt: master 53d696bf
Timestamp: 2017-05-15 11:22:11
Author: ibs
Committer: bugmaster
Details ] Diff ]
0028740: Visualization, AIS_RubberBand - add an option to decide either create or not create a closing boundary line

the flag is added and the Compute method is updated to consider this flag
mod - src/AIS/AIS_RubberBand.cxx Diff ] File ]
mod - src/AIS/AIS_RubberBand.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-05-15 14:05 ibs New Issue
2017-05-15 14:05 ibs Assigned To => ibs
2017-05-15 14:23 git Note Added: 0066078
2017-05-15 14:25 ibs Note Added: 0066079
2017-05-15 14:25 ibs Assigned To ibs => kgv
2017-05-15 14:25 ibs Status new => resolved
2017-05-15 14:25 ibs Steps to Reproduce Updated View Revisions
2017-05-15 14:25 git Note Added: 0066080
2017-05-15 16:53 kgv Note Added: 0066104
2017-05-15 16:53 kgv Assigned To kgv => ibs
2017-05-15 16:53 kgv Status resolved => assigned
2017-05-15 19:38 git Note Added: 0066111
2017-05-17 11:02 ibs Note Added: 0066172
2017-05-17 11:02 ibs Assigned To ibs => kgv
2017-05-17 11:02 ibs Status assigned => resolved
2017-05-17 11:03 ibs Note Edited: 0066172 View Revisions
2017-05-17 11:15 git Note Added: 0066173
2017-05-17 11:19 ibs Note Added: 0066175
2017-05-17 11:33 kgv Note Added: 0066177
2017-05-17 11:33 kgv Assigned To kgv => bugmaster
2017-05-17 11:33 kgv Status resolved => reviewed
2017-05-17 17:01 apv Assigned To bugmaster => apv
2017-05-19 14:00 apv Note Added: 0066317
2017-05-19 14:00 apv Assigned To apv => bugmaster
2017-05-19 14:00 apv Status reviewed => tested
2017-05-19 14:00 apv Test case number => Not needed
2017-05-19 14:03 apv Note Added: 0066318
2017-05-19 15:52 apv Note Edited: 0066318 View Revisions
2017-05-26 14:28 bugmaster Changeset attached => occt master 53d696bf
2017-05-26 14:29 bugmaster Status tested => verified
2017-05-26 14:29 bugmaster Resolution open => fixed
2017-05-29 16:06 git Note Added: 0066775


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker